Package be.fgov.ehealth.mycarenet.commons.core.v4

# Class CommonOutputType

java.lang.Object
be.fgov.ehealth.mycarenet.commons.core.v4.CommonOutputType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:42+02:00", comments="JAXB RI v4.0.5") public class CommonOutputType extends Object implements Serializable
The "root"-type of the common output element.

Java class for CommonOutputType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CommonOutputType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InputReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="NIPReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="OutputReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Reference" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}ReferenceType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Attribute" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}AttributeType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonOutputType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AttributeType>`
  `getAttributes()`
  Gets the value of the attributes property.
  `String`
  `getInputReference()`
  Gets the value of the inputReference property.
  `String`
  `getNIPReference()`
  Gets the value of the nipReference property.
  `String`
  `getOutputReference()`
  Gets the value of the outputReference property.
  `List<ReferenceType>`
  `getReferences()`
  Gets the value of the references property.
  `void`
  `setInputReference(String value)`
  Sets the value of the inputReference property.
  `void`
  `setNIPReference(String value)`
  Sets the value of the nipReference property.
  `void`
  `setOutputReference(String value)`
  Sets the value of the outputReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonOutputType

    public CommonOutputType()

- ## Method Details

  - ### getInputReference

    public String getInputReference()
    Gets the value of the inputReference property.
    Returns:
      possible object is `String`

  - ### setInputReference

    public void setInputReference(String value)
    Sets the value of the inputReference property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNIPReference

    public String getNIPReference()
    Gets the value of the nipReference property.
    Returns:
      possible object is `String`

  - ### setNIPReference

    public void setNIPReference(String value)
    Sets the value of the nipReference property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOutputReference

    public String getOutputReference()
    Gets the value of the outputReference property.
    Returns:
      possible object is `String`

  - ### setOutputReference

    public void setOutputReference(String value)
    Sets the value of the outputReference property.
    Parameters:
      `value` - allowed object is `String`

  - ### getReferences

    public List<ReferenceType> getReferences()
    Gets the value of the references property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the references property.

    For example, to add a new item, do as follows:

         getReferences().add(newItem);

    Objects of the following type(s) are allowed in the list `ReferenceType`

    Returns:
      The value of the references property.

  - ### getAttributes

    public List<AttributeType> getAttributes()
    Gets the value of the attributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

    For example, to add a new item, do as follows:

         getAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `AttributeType`

    Returns:
      The value of the attributes property.